Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Class IEssOpZoomIn.EEssZoomInPreference

    java.lang.Object
      com.essbase.api.dataquery.IEssOpZoomIn.EEssZoomInPreference

All Implemented Interfaces:
  IEssBaseObject, IEssEnum

Enclosing class:
  IEssOpZoomIn

public static final class IEssOpZoomIn.EEssZoomInPreference
extends java.lang.Object
implements IEssEnum

The EEssZoomInPreference class is an enumeration of zoom in preferences.

Field Summary
`static IEssOpZoomIn.EEssZoomInPreference` | `ALL_LEVELS` Zoom in preference: All levels.
`static int` | `ALL_LEVELS_INT_VALUE` Zoom in preference (int value): All levels.
`static IEssOpZoomIn.EEssZoomInPreference` | `BOTTOM_LEVEL` Zoom in preference: Bottom level.
`static int` | `BOTTOM_LEVEL_INT_VALUE` Zoom in preference (int value): Bottom level.
`static IEssOpZoomIn.EEssZoomInPreference` | `CALC_LEVEL` Zoom in preference: Calculation level.
`static int` | `CALC_LEVEL_INT_VALUE` Zoom in preference (int value): Calculation level.
`static IEssOpZoomIn.EEssZoomInPreference` | `NEXT_LEVEL` Zoom in preference: Next level.
`static int` | `NEXT_LEVEL_INT_VALUE` Zoom in preference (int value): Next level.
`static IEssOpZoomIn.EEssZoomInPreference` | `SAME_GENERATION` Zoom in preference: Same generation.
`static int` | `SAME_GENERATION_INT_VALUE` Zoom in preference (int value): Same generation.
`static IEssOpZoomIn.EEssZoomInPreference` | `SAME_LEVEL` Zoom in preference: Same level.
`static int` | `SAME_LEVEL_INT_VALUE` Zoom in preference (int value): Same level.
`static IEssOpZoomIn.EEssZoomInPreference` | `SIBLING_LEVEL` Zoom in preference: Sibling level.
`static int` | `SIBLING_LEVEL_INT_VALUE` Zoom in preference (int value): Sibling level.

Constructor Summary
`IEssOpZoomIn.EEssZoomInPreference()`

Method Summary
`IEssEnum` | `fromInt(int intValue)` Gets the IEssEnum from the int value.
`IEssEnum` | `fromString(java.lang.String strValue)` Gets the IEssEnum from the String display value.
`int` | `getCountPossibleValues()` Gets the count of possible values of the enumeration.
`java.lang.String[]` | `getPossibleValues()` Gets the list of possible values of the enumeration.
`int` | `intValue()` Gets the int value of the IEssEnum.
`static IEssOpZoomIn.EEssZoomInPreference` | `sm_fromInt(int intValue)` Gets an enumeration object from its int value.
`static IEssOpZoomIn.EEssZoomInPreference` | `sm_fromString(java.lang.String strValue)` Gets an enumeration object from its string display value.
`static IEssOpZoomIn.EEssZoomInPreference[]` | `sm_values()` Gets all the enumeration objects.
`java.lang.String` | `stringValue()` Gets the String display value of the IEssEnum.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NEXT_LEVEL

    public static final IEssOpZoomIn.EEssZoomInPreference NEXT_LEVEL

  Zoom in preference: Next level.

### ALL_LEVELS

    public static final IEssOpZoomIn.EEssZoomInPreference ALL_LEVELS

  Zoom in preference: All levels.

### BOTTOM_LEVEL

    public static final IEssOpZoomIn.EEssZoomInPreference BOTTOM_LEVEL

  Zoom in preference: Bottom level.

### SIBLING_LEVEL

    public static final IEssOpZoomIn.EEssZoomInPreference SIBLING_LEVEL

  Zoom in preference: Sibling level.

### SAME_LEVEL

    public static final IEssOpZoomIn.EEssZoomInPreference SAME_LEVEL

  Zoom in preference: Same level.

### SAME_GENERATION

    public static final IEssOpZoomIn.EEssZoomInPreference SAME_GENERATION

  Zoom in preference: Same generation.

### CALC_LEVEL

    public static final IEssOpZoomIn.EEssZoomInPreference CALC_LEVEL

  Zoom in preference: Calculation level.

### NEXT_LEVEL_INT_VALUE

    public static final int NEXT_LEVEL_INT_VALUE

  Zoom in preference (int value): Next level.

  See Also:
    Constant Field Values

### ALL_LEVELS_INT_VALUE

    public static final int ALL_LEVELS_INT_VALUE

  Zoom in preference (int value): All levels.

  See Also:
    Constant Field Values

### BOTTOM_LEVEL_INT_VALUE

    public static final int BOTTOM_LEVEL_INT_VALUE

  Zoom in preference (int value): Bottom level.

  See Also:
    Constant Field Values

### SIBLING_LEVEL_INT_VALUE

    public static final int SIBLING_LEVEL_INT_VALUE

  Zoom in preference (int value): Sibling level.

  See Also:
    Constant Field Values

### SAME_LEVEL_INT_VALUE

    public static final int SAME_LEVEL_INT_VALUE

  Zoom in preference (int value): Same level.

  See Also:
    Constant Field Values

### SAME_GENERATION_INT_VALUE

    public static final int SAME_GENERATION_INT_VALUE

  Zoom in preference (int value): Same generation.

  See Also:
    Constant Field Values

### CALC_LEVEL_INT_VALUE

    public static final int CALC_LEVEL_INT_VALUE

  Zoom in preference (int value): Calculation level.

  See Also:
    Constant Field Values

Constructor Detail

### IEssOpZoomIn.EEssZoomInPreference

    public IEssOpZoomIn.EEssZoomInPreference()

Method Detail

### sm_fromString

    public static IEssOpZoomIn.EEssZoomInPreference sm_fromString(java.lang.String strValue)
                                                           throws EssException

  Gets an enumeration object from its string display value.

  Parameters:
    `strValue` - The string display value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_fromInt

    public static IEssOpZoomIn.EEssZoomInPreference sm_fromInt(int intValue)
                                                        throws EssException

  Gets an enumeration object from its int value.

  Parameters:
    `intValue` - The int value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_values

    public static IEssOpZoomIn.EEssZoomInPreference[] sm_values()
                                                         throws EssException

  Gets all the enumeration objects.

  Returns:
    The enumeration objects.
  Throws:
    `EssException` - if an error occurs.

### stringValue

    public java.lang.String stringValue()
                                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the String display value of the IEssEnum.

  Specified by:
    `stringValue` in interface `IEssEnum`
  Returns:
    The String display value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### intValue

    public int intValue()
                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the int value of the IEssEnum.

  Specified by:
    `intValue` in interface `IEssEnum`
  Returns:
    The int value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### fromInt

    public IEssEnum fromInt(int intValue)
                     throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the int value.

  Specified by:
    `fromInt` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### fromString

    public IEssEnum fromString(java.lang.String strValue)
                        throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the String display value.

  Specified by:
    `fromString` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### getCountPossibleValues

    public int getCountPossibleValues()
                               throws EssException

  Description copied from interface: `IEssEnum`
  Gets the count of possible values of the enumeration.

  Specified by:
    `getCountPossibleValues` in interface `IEssEnum`
  Returns:
    The count of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### getPossibleValues

    public java.lang.String[] getPossibleValues()
                                         throws EssException

  Description copied from interface: `IEssEnum`
  Gets the list of possible values of the enumeration.

  Specified by:
    `getPossibleValues` in interface `IEssEnum`
  Returns:
    The list of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD